LIBSO_TARGET 		:= libapi_com.so

CFLAGS 			+= -I$(TOP_DIR)/common/nanomsg/include
CFLAGS 			+= -I$(TOP_DIR)/common/ev/include
ifeq ($(CONFIG_MODEL),x86)
	LDFLAGS         += -L$(TOP_DIR)/common/nanomsg -lnanomsg_ubuntu
	LDFLAGS         += -L$(TOP_DIR)/common/ev  -lev_ubuntu  
else ifeq ($(CONFIG_MODEL),nx5)
	LDFLAGS         += -L$(TOP_DIR)/common/nanomsg -lnanomsg_nx5
	LDFLAGS         += -L$(TOP_DIR)/common/ev  -lev_nx5 
else
	LDFLAGS         += -L$(TOP_DIR)/common/nanomsg -lnanomsg
	LDFLAGS         += -L$(TOP_DIR)/common/ev  -lev	
endif
LDFLAGS         += -ldl